[fedora-fr-doc] Cuda

rustyBSD cypherique at ymail.com
Ven 8 Juin 08:27:40 CEST 2012


Le 07/06/2012 23:15, Thomas Bouffon a écrit :
> 2012/6/7 Thomas Bouffon <thomas.bouffon at gmail.com
> <mailto:thomas.bouffon at gmail.com>>
>
>     2012/6/7 Nicolas Chauvet <kwizart at gmail.com
>     <mailto:kwizart at gmail.com>>
>
>         Le 7 juin 2012 22:51, Nicolas Chauvet <kwizart at gmail.com
>         <mailto:kwizart at gmail.com>> a écrit :
>         > Le 7 juin 2012 21:07, Mohamed El Morabity
>         <pikachu.2014 at gmail.com <mailto:pikachu.2014 at gmail.com>> a écrit :
>         >>> Je viens de modifier la page de doc. En faisant un lien
>         symbolique, ça
>         >>> fonctionne.
>         >> Si le fix est déjà plus acceptable, ça reste un pis-aller...
>         >> Tu n'as cependant toujours pas expliqué en quoi
>         consistaient ces
>         >> incompatibilités avec GCC 4.7.
>         >
>         > A ma connaissance, seulement une vérification qui empèche
>         d'utiliser
>         > un compilo plus récent que le 4.4 IIRC. C'est une ligne à
>         modifier.
>         > Apres j'ai seulement testé sur un composant que je maintiens
>         (opencv)
>         > pas sur l'ensemble des fonctionalité de CUDA.
>         J'ai dit n'importe quoi, c'était pour les anciennes version de
>         CUDA
>         avec gcc 4.6.x
>
>  
> Hello ,
>
> J'ai regardé dans les makefiles : si changer la version max de gcc
> dans les include ne fonctionne pas, il faut modifier les fichiers .mk :
>
> $find . -name Makefile -exec sed -i 's/gcc/gcc34/g' {} \;
> $find . -name Makefile -exec sed -i 's/g++/g++34/g' {} \;
>
> Est-ce que quelqu'un peut tester ? Je n'ai pas terriblement envie de
> lancer mon portable de 2005 dans une compilation...
> Bonne soirée,
> Thomas
>
>
> _______________________________________________
> fedora-fr-doc mailing list
> fedora-fr-doc at fedora-fr.org
> http://mailing-list.fedora-fr.org/mailman/listinfo/fedora-fr-doc
Salut,
je viens de tester, et ça ne marche pas, il prend quand même gcc-4.7.
J'ai essayé en modifiant les fichiers .mk, et ça
ne marche pas non plus.

Le fait de faire un ln -s n'empêche pas ensuite de compiler du code
Cuda. Je viens de compiler celui-ci sans problème:
http://forums.nvidia.com/index.php?showtopic=83509
en ayant au préalable désinstallé compat-gcc-34

Alors est-ce vraiment un problème de faire un ln -s ?

Enfin, je peux me tromper...
-------------- section suivante --------------
Une pièce jointe HTML a été nettoyée...
URL: <http://mailing-list.fedora-fr.org/pipermail/fedora-fr-doc/attachments/20120608/d9d6a9fe/attachment.html>


Plus d'informations sur la liste de diffusion fedora-fr-doc